Set Intellij beta version for plugin development

Answered

Hello,

We are developing an Intellij plugin and noticed that for the version 2022.2, we've got 3 usages of scheduled for removal API and wanted to resolve them as fast as possible. The first version from where we've got this message in the Update Details of the plugin page is IntelliJ IDEA Ultimate IU-213.3714.440.
Currently I am testing the plugin using IC-212.5457.46 which is working properly.

I tried to change the intellij.version from build.gradle to IU-213.3714.440 or IC-213.3714.440, but when running the build configuration, I get:
 
Could not resolve com.jetbrains.intellij.idea:ideaIU:213.3714.440.
> Could not get resource 'http://dl.bintray.com/jetbrains/intellij-plugin-service/com/jetbrains/intellij/idea/ideaIU/213.3714.440/ideaIU-213.3714.440.pom'.
> Could not GET 'http://dl.bintray.com/jetbrains/intellij-plugin-service/com/jetbrains/intellij/idea/ideaIU/213.3714.440/ideaIU-213.3714.440.pom'. Received status code 403 from server: Forbidden

Is there any way I can use that specific version or any build number from the 2022 version? 

Thanks,
Dan

1 comment
Comment actions Permalink

You'll need to add _snapshots_ artifact repository to resolve against EAP/Beta releases https://plugins.jetbrains.com/docs/intellij/intellij-artifacts.html

1

Please sign in to leave a comment.